Bug 1121454 - In RHEV, admin UI rejects FQDNs ending in a digit when creating NFS storage domains
Summary: In RHEV, admin UI rejects FQDNs ending in a digit when creating NFS storage d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1126342
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-21 03:24 UTC by Marcus West
Modified: 2019-04-28 08:36 UTC (History)
13 users (show)

Fixed In Version: ovirt 3.5 rc1
Doc Type: Bug Fix
Doc Text:
Previously, creating or editing an NFS storage domain's mount path so that the server's name ends in a digit (for example: myhost1:/path/to/data) was not allowed, meaning that legal host names could not be used as storage servers providing NFS storage to Red Hat Enterprise Virtualization. This limitation has now been removed so that hosts with names ending in digits can now be used as NFS servers.
Clone Of:
: 1126342 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:06:35 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 30962 None None None Never
Red Hat Knowledge Base (Solution) 1135543 None None None Never

Description Marcus West 2014-07-21 03:24:04 UTC
## Description of problem:

In RHEV, admin UI rejects FQDNs ending in a digit when creating NFS storage domains

## Version-Release number of selected component (if applicable):

3.4, customer also reports this happening in 3.2

## How reproducible:

always

## Steps to Reproduce:
1. Create an NFS Data Center
2. On storage, create an appropriate NFS share
3. Via DNS create a domain that ends in a digit (ie: foo.example.f7)  Or, just update /etc/hosts so that storage resolves to this name.
4. Try to create a storage domain with foo.example.f7:/<export>

## Actual results:

Attempt to create SD fails ("Error while executing action: Mount path is illegal, please use [IP:/path or FQDN:/path] convention.")

## Expected results:

Create SD as expected, with FQDN ending in a digit

## Additional info:

The workaround is to use the IP address, or short host name (assuming domain is in resolv.conf search path). 

While this is an unusual domain name, It is to my knowledge valid [1], and I can't see any logical reason why it should be excluded.

[1] http://en.wikipedia.org/wiki/Domain_name#Technical_requirements_and_process

Comment 1 Allon Mureinik 2014-08-03 09:41:18 UTC
Technical insight:

This error doesn't come from the fortend (see test in http://gerrit.ovirt.org/#/c/30964/ that proves this point).

The failing validation comes from the backend in NfsMountPointConstraint.

Comment 2 Liron Aravot 2014-08-04 07:37:06 UTC
Marcus, is this bug intentionally private?

Comment 4 Elad 2014-08-14 10:44:56 UTC
Eyal, this bug is targeted for 3.5 downstream. 
Since there is no such build, Can we verify it on ovirt-3.5 RC1?

Comment 5 Elad 2014-08-14 10:46:34 UTC
Also, please add 'fixed in version'

Comment 6 Elad 2014-08-14 12:38:17 UTC
Verified based on https://bugzilla.redhat.com/show_bug.cgi?id=1126342#c1


 Ori 2014-08-13 09:56:16 EDT

verified on rc1
steps taken:
1.edit /etc/hosts file with FQDN that ends in a digit to an NFS domain ip
2.connect to that domain

Comment 8 Tal Nisan 2014-11-26 11:43:45 UTC
Please supply doc text

Comment 10 errata-xmlrpc 2015-02-11 18:06:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.